package me.km.blocks;

import net.minecraft.block.BlockState;
import net.minecraft.block.SlabBlock;
import net.minecraftforge.common.ToolType;

public class BlockModSlab extends SlabBlock {
    private final ToolType tool;

    public BlockModSlab(Properties properties, ToolType tool) {
        super(properties);
        this.tool = tool;
    }

    @Override
    public boolean isToolEffective(BlockState state, ToolType tool) {
        return this.tool == tool;
    }
}
